Package org.spongepowered.asm.logging

## Class LoggerAdapterConsole

- java.lang.Object
- - org.spongepowered.asm.logging.LoggerAdapterAbstract
  - - org.spongepowered.asm.logging.LoggerAdapterConsole

All Implemented Interfaces:
  `ILogger`

    public class LoggerAdapterConsole
    extends LoggerAdapterAbstract

A very basic logger adapter which does not log anything to file and simply emits formatted log messages to the console printstreams

### Nested Class Summary

### Nested classes/interfaces inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

`LoggerAdapterAbstract.FormattedMessage`

### Constructor Summary

Constructors
`LoggerAdapterConsole​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `catching​(Level level, java.lang.Throwable t)` Logs an exception or error that has been caught.
`java.lang.String` `getType()` Get a short human-readable name of this logger type
`void` `log​(Level level, java.lang.String message, java.lang.Object... params)` Logs a message with parameters at the given level.
`void` `log​(Level level, java.lang.String message, java.lang.Throwable t)` Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.
`LoggerAdapterConsole` `setDebugStream​(java.io.PrintStream debug)` Set output stream for DEBUG-level messages
`<T extends java.lang.Throwable> T` `throwing​(T t)` Logs an exception or error to be thrown.

### Methods inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

`catching, debug, debug, error, error, fatal, fatal, getId, info, info, trace, trace, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerAdapterConsole

    public LoggerAdapterConsole​(java.lang.String name)

Parameters:
  `name` - Logger name

### Method Detail

#### getType

    public java.lang.String getType()

Description copied from interface: `ILogger`
Get a short human-readable name of this logger type

#### setDebugStream

    public LoggerAdapterConsole setDebugStream​(java.io.PrintStream debug)

Set output stream for DEBUG-level messages

Parameters:
  `debug` - New PrintStream for debug messages
Returns:
  fluent

#### catching

    public void catching​(Level level,
                         java.lang.Throwable t)

Description copied from interface: `ILogger`
Logs an exception or error that has been caught.

Parameters:
  `level` - The logging Level.
  `t` - The Throwable.

#### log

    public void log​(Level level,
                    java.lang.String message,
                    java.lang.Object... params)

Description copied from interface: `ILogger`
Logs a message with parameters at the given level.

Parameters:
  `level` - the logging level
  `message` - the message to log
  `params` - parameters to the message

#### log

    public void log​(Level level,
                    java.lang.String message,
                    java.lang.Throwable t)

Description copied from interface: `ILogger`
Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.

Parameters:
  `level` - the logging level
  `message` - the message to log
  `t` - the exception to log, including its stack trace

#### throwing

    public <T extends java.lang.Throwable> T throwing​(T t)

Description copied from interface: `ILogger`
Logs an exception or error to be thrown.

Type Parameters:
  `T` - the Throwable type
Parameters:
  `t` - The Throwable
Returns:
  the Throwable